Page MenuHomePhabricator

MCS must not pass through `vary: accept` from parsoid
Closed, ResolvedPublic

Description

Currently requests for summary and mobile-sections pass through the vary: accept they get from Parsoid. The Accept must be stripped from the vary header, because MCS content doesn't actually change depending on the Accept header the client sends to MCS. MCS requests hard-coded Parsoid version.

NOTE: RESTBase tests are failing because of this, but I think we shouldn't fix it in RESTBase, it's MCS bug and stripping it in RESTBase will only hide the real problem

Event Timeline

Pchelolo created this task.Oct 10 2018, 9:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 10 2018, 9:00 PM
Pchelolo updated the task description. (Show Details)Oct 10 2018, 9:03 PM
bearND triaged this task as High priority.Oct 10 2018, 9:46 PM
bearND moved this task from Needs triage to Kanban on the Product-Infrastructure-Team-Backlog board.
bearND updated the task description. (Show Details)

Change 467128 had a related patch set uploaded (by Mholloway; owner: Mholloway):
[mediawiki/services/mobileapps@master] Strip 'accept' value from vary header pass-through

https://gerrit.wikimedia.org/r/467128

Change 467128 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] Strip 'accept' value from vary header pass-through

https://gerrit.wikimedia.org/r/467128

Mentioned in SAL (#wikimedia-operations) [2018-10-15T20:34:05Z] <bsitzmann@deploy1001> Started deploy [mobileapps/deploy@834d00a]: Update mobileapps to c2a4ef9 (T206701 T206467 T168875)

Mentioned in SAL (#wikimedia-operations) [2018-10-15T20:37:52Z] <bsitzmann@deploy1001> Finished deploy [mobileapps/deploy@834d00a]: Update mobileapps to c2a4ef9 (T206701 T206467 T168875) (duration: 03m 47s)

Pchelolo closed this task as Resolved.Oct 17 2018, 8:05 PM
Pchelolo edited projects, added Services (done); removed Services (blocked).

Thank you!

curl -i 'https://sr.wikipedia.org/api/rest_v1/page/mobile-sections/Рафал_(авион)' | grep vary  

vary: Accept-Language,Accept-Encoding,accept-language

Heh, checking for this bug to be fixed I found a new bug :( T207324